---
title: Get Pipeline Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Pipelines](https://developers.cloudflare.com/api/go/resources/pipelines)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Pipeline Details

client.Pipelines.GetV1(ctx, pipelineID, query) (\*[PipelineGetV1Response](<https://developers.cloudflare.com/api/go/resources/pipelines#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/pipelines/v1/pipelines/{pipeline\_id}

Get Pipeline details.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pipelines Write``Pipelines Read`

##### ParametersExpand Collapse

pipelineID string

Specifies the public ID of the pipeline.

maxLength32

minLength32

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20get_v1%20%3E%20(params)%20default%20%3E%20(param)%20pipeline_id%20%3E%20(schema)>)

<details>

<summary>

query PipelineGetV1Params

</summary>

AccountID param.Field\[string]

Specifies the public ID of the account.

<a href="#(resource)%20pipelines%20%3E%20(method)%20get_v1%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20get_v1%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PipelineGetV1Response struct{…}

</summary>

ID string

Indicates a unique identifier for this pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

ModifiedAt string

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

Name string

Indicates the name of the Pipeline.

maxLength128

minLength1

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

Sql string

Specifies SQL for the Pipeline processing flow.

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20sql">Link to this property</a>

Status string

Indicates the current status of the Pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

<details>

<summary>

Tables \[]PipelineGetV1ResponseTable

List of streams and sinks used by this pipeline.

</summary>

ID string

Unique identifier for the connection (stream or sink).

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Latest int64

Latest available version of the connection.

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20latest">Link to this property</a>

Name string

Name of the connection.

maxLength128

minLength1

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

Type PipelineGetV1ResponseTablesType

Type of the connection.

</summary>

One of the following:

const PipelineGetV1ResponseTablesTypeStream PipelineGetV1ResponseTablesType = "stream"

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

const PipelineGetV1ResponseTablesTypeSink PipelineGetV1ResponseTablesType = "sink"

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20type">Link to this property</a>

Version int64

Current version of the connection used by this pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20version">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20tables">Link to this property</a>

FailureReason stringOptional

Indicates the reason for the failure of the Pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)%20%3E%20(property)%20failure_reason">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(model)%20PipelineGetV1Response%20%3E%20(schema)>)

### Get Pipeline Details

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Pipelines.GetV1(
    context.TODO(),
    "043e105f4ecef8ad9ca31a8372d0c353",
    pipelines.PipelineGetV1Params{
      AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
```

200 example

```
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}
```